#!/bin/sh
# bin-tc.sh : test case for Linux Annex / bin  directory

# $Log: bin-tc.sh,v $
# Revision 1.1  2004/02/13 12:04:41  ajosey
# initial checkin
#
#
#

tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function
iclist="ic1"
ic1="tp1"


tp1() 
{
	tpstart "Reference 6.2-1 (C)"
	tet_infoline "The implementation may provide an exec-able version of the setserial"
	tet_infoline "utility in the /bin directory. "
	lsb_test_exec /bin/setserial >out.stdout 2>out.stderr 
	check_exit_value $? 1		# should be non-zero
	check_nostdout			# should be no stdout
	check_stderr			# should be stderr
	if [ $FAIL = Y ]
	then
		tet_infoline "/bin/setserial not found or not executable"
		tpresult UNSUPPORTED
		return
	fi
	tpresult		# set result code
}


startup() # startup function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}


cleanup() # clean-up function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}

# source common shell functions

. $TET_EXECUTE/LIB/shfuncs.sh
. $TET_EXECUTE/LIB/lsbfuncs.sh

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
