#!/bin/sh
# mnt-tc.sh : test case for /mnt directory

# This is 1.4
#
# mnt-tc.sh,v
# Revision 1.4  2000/04/16 09:16:53  ajosey
# mark 3.11-2 as notinuse as not a requirement in FHS2.1
#
# Revision 1.3  2000/04/09 07:15:29  cyeoh
# Added CVS header information
#
#

# remove tp2 for LSB 2.0/FHS2.0

tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function
iclist="ic1"
ic1="tp1"


tp1()
{
	tpstart "Reference 3.12-1(A)"
	tet_infoline "The /mnt directory exists and is searchable"
	lsb_test_dir_searchable /mnt >out.stdout  2>out.stderr
	check_exit_value $? 0		# should be zero
	check_nostdout			# should be stdout
	check_nostderr			# should be no stderr
	tpresult				# set result code
}

# test no longer in use
#tp2()
#{
#	tpstart "Reference 3.12-2(C)" 
#	tet_infoline "Subdirectories may exist under the /mnt directory supports the mounting of filesystems"
#	tet_infoline "This assertion is no longer specified in FHS 2.1"
#	tpresult NOTINUSE			# set result code
#}
#


startup() # startup function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}


cleanup() # clean-up function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}

# source common shell functions

. $TET_EXECUTE/LIB/shfuncs.sh
. $TET_EXECUTE/LIB/lsbfuncs.sh

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
