#!/bin/sh
# srv-tc.sh : test case for /srv directory

##########################################################################
# (C) Copyright 1998-2004 The Open Group
#
# All rights reserved.  No part of this source code may be reproduced,
# stored in a retrieval system, or transmitted, in any form or by any
# means, electronic, mechanical, photocopying, recording or otherwise,
# except as stated in the end-user licence agreement, without the prior
# permission of the copyright owners.
#
# X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
# the UK and other countries.
#
#	PROJECT:	LSB-FHS
#	PRODUCT:	LSB.fhs/root/srv/srv-tc.sh
#	AUTHOR:		Andrew Josey, The Open Group
#	DATE CREATED:	12 Feb 2004
##########################################################################

# This is $Log: srv-tc.sh,v $
# This is Revision 1.1  2004/02/12 14:14:29  ajosey
# This is initial check in
# This is
#
#

tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function
iclist="ic1"
ic1="tp1"


tp1()
{
	tpstart "Reference 3.16-1(A)"
	tet_infoline "The /srv directory exists and is searchable"
	lsb_test_dir_searchable /srv >out.stdout  2>out.stderr
	check_exit_value $? 0		# should be zero
	check_nostdout			# should be stdout
	check_nostderr			# should be no stderr
	tpresult				# set result code
}

startup() # startup function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}


cleanup() # clean-up function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}

# source common shell functions

. $TET_EXECUTE/LIB/shfuncs.sh
. $TET_EXECUTE/LIB/lsbfuncs.sh

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
